Java.com

Descargar Ayuda

Versión para imprimir

¿Cómo se puede ejecutar o activar Java en el explorador?


Este artículo se aplica a:
  • Plataformas: Macintosh OS X, Windows 10, Windows 2000, Windows 7, Windows 8, Windows XP
  • Exploradores: Chrome, Firefox
  • Versiones de Java: 7.0, 8.0

Internet Explorer: Bloqueo de control ActiveX obsoleto

Internet Explorer (IE) dispone de una nueva función de seguridad, llamada Bloqueo de control ActiveX, destinada a mantener actualizados los controles de ActiveX, como Java. Esta función evita que la aplicación o la página web se carguen si detecta que Java no está actualizado y presentará la opción de actualizar Java.

Se ha bloqueado Java (TM) porque está obsoleto
Cuando el control ActiveX bloquea una versión antigua de Java, verá lo siguiente:
  • En Internet Explorer: una barra de notificación, similar a Se ha bloqueado Java (TM) porque está obsoleto y se debe actualizar y las opciones Actualizar o Ejecutar esta vez
  • Otro navegador (que no sea IE): el siguiente cuadro de diálogo de seguridad de Internet Explorer: Un sitio web desea abrir contenido web por medio de este programa obsoleto en el equipo; y, a continuación, las opciones Permitir o No permitir la ejecución de la aplicación, así como la opción de Actualizar la versión antigua.
Actualizar Java

Se recomienda actualizar Java antes de permitir que se ejecute la aplicación. Haga clic en Actualizar y descargue la última versión de Java. Si no confía en el sitio o en la petición de datos, puede visitar el sitio web java.com para obtener la última versión.

El bloqueo de control ActiveX de aplicaciones obsoletas se ejecuta en:
  • Windows 7 SP1 Internet Explorer 8 hasta Internet Explorer 11
  • Windows Internet Explorer 8 para el escritorio
» Bloqueo de control ActiveX (blog de Microsoft)


Firefox: Activar plugin de Java

Firefox ha implementado una nueva función de seguridad de hacer clic para reproducir que protege de ataques y se centra en los plugins que se sabe que son más vulnerables. Esta función evita que se carguen automáticamente los applets y permite a los usuarios controlar el contenido que desean ejecutar o ignorar.

  • Si intenta ejecutar un applet de Java utilizando una versión de plugin de Java que se identifica como vulnerable, Firefox impedirá que el applet se cargue de manera automática y le avisará de que el plugin es vulnerable.
  • Si hay alguna actualización disponible, Firefox le proporcionará la opción para actualizar o activar el plugin. Es recomendable comprobar si hay actualizaciones antes de activar el plugin.
  • Además, Firefox proporciona una opción para bloquear o activar automáticamente el plugin en función de los sitios.

» Clic para reproducir en Firefox (mozilla.org)


Chrome

Explorador Chrome versión 42 y posteriores. A partir de la versión 42 (abril 2015), Chrome ha desactivado el método estándar por el que los exploradores soportan plugins. Más información


Seleccionar idioma | Acerca de Java | Soporte | Desarrolladores
Privacidad | Condiciones de uso | Marcas registradas | Descargo de responsabilidad

Oracle